Skip to content

List Api Tokens

GET
/api/v1/tokens
curl --request GET \
--url 'https://example.com/api/v1/tokens?limit=50&offset=0'

List all API tokens for the current user (without plaintext).

limit
Limit
integer
default: 50 >= 1 <= 250
offset
Offset
integer
0

Successful Response

Media typeapplication/json
Response List Api Tokens Api V1 Tokens Get
Array<object>
ApiTokenOut
object
id
required
Id

Token id.

integer
name
required
Name

Human-readable label for the token.

string
created_at
required
Created At

When the token was created.

string format: date-time
last_used_at
Any of:
string format: date-time
expires_at
Any of:
string format: date-time

Example generated

[
{
"id": 1,
"name": "example",
"created_at": "2026-04-15T12:00:00Z",
"last_used_at": "2026-04-15T12:00:00Z",
"expires_at": "2026-04-15T12:00:00Z"
}
]

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object

Example generated

{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}